import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Player extends Actor
{
    // Attribute
    private int aktuelleSprunggeschwindigkeit;
    private int initialeSprunggeschwindigkeit = 20;
    private double sprunggeschwindigkeitVeraenderung = 1;
    private boolean springtNachOben = false;
    private boolean sprungFertig = false;
    private int groundLevel;
    private int xPosPlayer = 200;
    
    private int punkte = 0;
    private int spriteWechsler = 1;
    // Konstruktor
    public Player()
    {
        this.aktuelleSprunggeschwindigkeit = this.initialeSprunggeschwindigkeit;
    }
    // Methoden
    public void addedToWorld(World w)
    {
        this.groundLevel = this.getWorld().getHeight() - this.getImage().getHeight()/2 - Fujiyama.groundHeight;
        this.setLocation(this.xPosPlayer, this.groundLevel);
    }
    public void punkteErhoehen()
    {
        this.punkte = this.punkte + 1;
    }
    public void act()
    {
        if(this.spriteWechsler < 9)
        {
            this.spriteWechsler = this.spriteWechsler + 1;
        } else {
            this.spriteWechsler = 0;
        }
        this.setImage("ritter-" + this.spriteWechsler + ".png");
        // String taste = Greenfoot.getKey();
        if(Greenfoot.isKeyDown("space") && this.sprungFertig) //  "space".equals(taste) 
        {
            this.springtNachOben = true;
            this.sprungFertig = false; 
            Greenfoot.playSound("Forest_ground_jump0.wav");
        }
        this.punktestandAnzeigen();
        this.huepfen();
    }
    public void huepfen()
    {
        if (this.springtNachOben && !this.sprungFertig) {
            this.setLocation(this.getX(), this.getY() - this.aktuelleSprunggeschwindigkeit);
            this.aktuelleSprunggeschwindigkeit = (int)(this.aktuelleSprunggeschwindigkeit - this.sprunggeschwindigkeitVeraenderung);
            if (this.aktuelleSprunggeschwindigkeit == 0) {
                this.springtNachOben = false;
            }
        }
        if (!this.springtNachOben && !this.sprungFertig) {
            this.setLocation(this.getX(), this.getY() + this.aktuelleSprunggeschwindigkeit);
            this.aktuelleSprunggeschwindigkeit = (int)(this.aktuelleSprunggeschwindigkeit + this.sprunggeschwindigkeitVeraenderung);
            if (this.aktuelleSprunggeschwindigkeit >= this.initialeSprunggeschwindigkeit) {
                this.springtNachOben = true;
                this.sprungFertig = true;
                this.setLocation(this.xPosPlayer, this.groundLevel);
            }
        }
    }
    private void punktestandAnzeigen()
    {
        this.getWorld().showText("Punkte: " + this.punkte, 70, 80);
    }
}

