import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Fujiyama extends World
{
    // Entfernung des Bodens vom unteren Szenariorand
    // Statisch - kann von allen Klassen aus direkt zugegriffen werden
    public static int groundHeight = 35;
    GreenfootSound backtrack = new GreenfootSound("deathistheanswer.mp3");

    public Fujiyama()
    {    
        super(1000, 400, 1);
        GreenfootImage bg = this.getBackground();
        bg.setColor(Color.BLACK);
        bg.drawLine(0, this.getHeight() - Fujiyama.groundHeight, this.getWidth(), this.getHeight() - Fujiyama.groundHeight);
        this.addObject(new Player(), 1, 1);
        this.backtrack.playLoop();

    }
    public void started()
    {
        this.backtrack.playLoop();
    }

    public void stopped()
    {
        this.backtrack.stop();
    }

    public void act()
    {
        if(Greenfoot.getRandomNumber(200) > 198)
        {
            this.addObject(new NinjaAttacker(), 1, 1);
        }
    }

}
